Request tag claim
curl --request POST \
--url https://staging-idaas.yourflexpay.com/api/v1/tags/{tag}/claims \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"subjectId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
'import requests
url = "https://staging-idaas.yourflexpay.com/api/v1/tags/{tag}/claims"
payload = { "subjectId": "3c90c3cc-0d44-4b50-8888-8dd25736052a" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({subjectId: '3c90c3cc-0d44-4b50-8888-8dd25736052a'})
};
fetch('https://staging-idaas.yourflexpay.com/api/v1/tags/{tag}/claims', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"message": "<string>",
"errorCode": "<string>",
"data": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"tagId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"tagString": "<string>",
"subjectId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"subjectExternalId": "<string>",
"requestedByAppId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"requestedByAppName": "<string>",
"state": "PENDING",
"requestedAt": "2023-11-07T05:31:56Z",
"approvedAt": "2023-11-07T05:31:56Z",
"revokedAt": "2023-11-07T05:31:56Z",
"consentToken": "<string>",
"approvalUrl": "<string>",
"tokenExpiresAt": "2023-11-07T05:31:56Z"
},
"errors": [
"<string>"
],
"timestamp": "2023-11-07T05:31:56Z"
}Tags
Request tag claim
Requests a claim to link the requesting application’s subject identity to an existing tag.
POST
/
v1
/
tags
/
{tag}
/
claims
Request tag claim
Authorizations
Obtain a token from POST /v1/auth/token using your client_id and client_secret, then enter Bearer <token> here.
Path Parameters
Body
application/json
⌘I